Paritosh Singh

IModelDocExtension::Capture3DView returns NULL

Discussion created by Paritosh Singh on Apr 16, 2020

I am trying to get the 3D view using IModelDocExtension::Capture3DView() in Solidoworks 2020 Premium but it returns null pointer, though it works on other versions.

 

ISldWorks^ swApp = gcnew SldWorksClass;
IModelDoc2^ swModel = swApp->IActiveDoc2;
IModelDocExtension^ swModelDocExt = swModel->Extension;
IView3D^ capture = swModelDocExt->Capture3DView();

 

Here "capture" variable is pointing to null.

Also is there any difference in standard and premium versions regarding api's?

 

Any suggestions will be really helpful.

Thanks

Outcomes